Subject: Re: bug#38225: Cannot move vertical screen division bar

From: martin rudalics <[email-masked]>
Date: Sat, 16 Nov 2019 09:58:07 +0100

> But now I can reproduce it.  I normally run with scroll-bar-mode
 > switched off, and then I can adjust the width of windows.  However, with
 > scroll-bar-mode switched on, I can't adjust the width any more.

Which is not true.  You can always drag the "divider" of the mode
lines.

 > With window-divider-mode switched on, I can adjust the width, but with
 > both the divider and the scroll bars there, the separation between
 > windows is very thick.

You can easily make a one-pixel wide window divider.

 > So I think there's a bug here; i.e., you should be able to adjust the
 > width of the windows even if there's (just) a scroll bar there.  But
 > perhaps this is a toolkit restriction?

No.  But discerning horizontal and vertical mouse drags on a scroll
bar is not for the faint of heart.  If you want some code, I might be
able to retrieve it.

martin